Request Quote
POSTπ Trading
Request a quote for an OTC order. Requires the Trading permission.
Choose either baseSize or quoteSize to submit β these two parameters cannot be sent at the same time.
Important: A new quote expires after 6 seconds. Accept it before expiry.
Request Parametersβ
| Name | Type | Required | Description |
|---|---|---|---|
| side | String | Yes | Transaction side β BUY Β· SELL |
| baseCurrency | String | Yes | Base currency |
| quoteCurrency | String | Yes | Quote currency |
| baseSize | String | No | Size in baseCurrency. Mutually exclusive with quoteSize. |
| quoteSize | String | No | Size in quoteCurrency. Mutually exclusive with baseSize. |
| clOrderId | String | No | Client order ID assigned by the client |
Response Contentβ
| Name | Type | Description |
|---|---|---|
| quoteId | String | Quote ID |
| clOrderId | String | Client order ID assigned by the client |
| side | String | Transaction side β BUY Β· SELL |
| baseSize | String | Size in baseCurrency. Max 8 decimal places when side=BUY; max 9 decimal places when side=SELL. |
| baseCurrency | String | Base currency |
| quoteSize | String | Size in quoteCurrency. Max 9 decimal places when side=BUY; max 8 decimal places when side=SELL. |
| quoteCurrency | String | Quote currency |
| ratio | String | How many quoteCurrency per one baseCurrency (quoteSize / baseSize). Max 10 decimal places. |
| status | String | Quote status β NEW_QUOTE Β· REQUOTE Β· COMPLETED Β· EXPIRED |
| expireTime | Double | Expiration timestamp (Unix ms) |
| ttl | Double | Time to live in seconds |
example
POST
https://api.btse.com/public-api/otc/v1/quotesRequest (Buy)
{
"side": "BUY",
"baseCurrency": "BTC",
"quoteCurrency": "USDT",
"baseSize": "15.0",
"clOrderId": "test-0001"
}
Request (Buy (with quote size))
{
"side": "BUY",
"baseCurrency": "BTC",
"quoteCurrency": "USDT",
"quoteSize": "340000.0",
"clOrderId": "test-0002"
}
Request (Sell)
{
"side": "SELL",
"baseCurrency": "BTC",
"quoteCurrency": "ETH",
"baseSize": "15.0",
"clOrderId": "test-0003"
}
Request (Sell (with quote size))
{
"side": "SELL",
"baseCurrency": "BTC",
"quoteCurrency": "ETH",
"quoteSize": "300.0",
"clOrderId": "test-0004"
}
Response (Buy)
{
"success": true,
"code": 1,
"msg": "Success",
"time": 1673325777227,
"data": {
"quoteId": "0001-0001-0001-0001",
"clOrderId": "test-0001",
"side": "BUY",
"baseSize": "15.0",
"baseCurrency": "BTC",
"quoteSize": "257735.09868",
"quoteCurrency": "USDT",
"ratio": "17182.33991211",
"expireTime": 1673325783227,
"ttl": 6,
"status": "NEW_QUOTE"
}
}
Response (Sell (with quote size))
{
"success": true,
"code": 1,
"msg": "Success",
"time": 1673325777227,
"data": {
"quoteId": "0004-0004-0004-0004",
"clOrderId": "test-0004",
"side": "SELL",
"baseSize": "23.0325468695",
"baseCurrency": "BTC",
"quoteSize": "300.0",
"quoteCurrency": "ETH",
"ratio": "13.025046761",
"expireTime": 1673325783227,
"ttl": 6,
"status": "NEW_QUOTE"
}
}